package com.ruoyi.system.mapper.stamp;


import com.ruoyi.system.domain.stamp.DinnerExamine;
import com.ruoyi.system.domain.stamp.DinnerExamineExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DinnerExamineMapper {
    long countByExample(DinnerExamineExample example);

    int deleteByExample(DinnerExamineExample example);

    int deleteByPrimaryKey(String id);

    int insert(DinnerExamine record);

    int insertSelective(DinnerExamine record);

    List<DinnerExamine> selectByExample(DinnerExamineExample example);

    DinnerExamine selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") DinnerExamine record, @Param("example") DinnerExamineExample example);

    int updateByExample(@Param("record") DinnerExamine record, @Param("example") DinnerExamineExample example);

    int updateByPrimaryKeySelective(DinnerExamine record);

    int updateByPrimaryKey(DinnerExamine record);
}